X11.Xrender.XRenderPictFormat (JNA API)
Description: declaration: package: com.sun.jna.platform.unix, interface: X11, interface: Xrender, class: XRenderPictFormat

Package com.sun.jna.platform.unix

# Class X11.Xrender.XRenderPictFormat

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.unix.X11.Xrender.XRenderPictFormat

Enclosing interface:
  X11.Xrender

@FieldOrder({"id","type","depth","direct","colormap"}) public static class X11.Xrender.XRenderPictFormat extends Structure

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `X11.Colormap`
  `colormap`
  `int`
  `depth`
  `X11.Xrender.XRenderDirectFormat`
  `direct`
  `X11.Xrender.PictFormat`
  `id`
  `int`
  `type`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XRenderPictFormat()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public X11.Xrender.PictFormat id

  - ### type

    public int type

  - ### depth

    public int depth

  - ### direct

    public X11.Xrender.XRenderDirectFormat direct

  - ### colormap

    public X11.Colormap colormap

- ## Constructor Details

  - ### XRenderPictFormat

    public XRenderPictFormat()